version: '3'

services:
  os:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: docker_tp
    restart: always
    ports:
      - "2227:22"  # SSH
      - "8084:80"  # apache
      - "33061:3306" #mysql
    network_mode: bridge
    volumes:
      - dbdata_tp:/var/lib/mysql
      - dbconfig_tp:/etc/mysql
      - apconfig_tp:/etc/httpd
      - /webFolder5.6/jobtp:/home/jobtp
      - mailerdata:/home/nmail2
volumes:
    dbdata_tp:
      external: true
    dbconfig_tp:
      external: true 
    apconfig_tp:
      external: true
    mailerdata:
      external: true
